Ask Your Question
0

CentOS 7: fails to install openstack-keystone and python-keystoneclient

asked 2015-03-04 13:47:13 -0500

aakoka gravatar image

hi, following instructions from http://docs.openstack.org/juno/install-guide/install/yum/content/keystone-install.html (keystone-install) on CentOS 7

$ sudo yum install openstack-keystone
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
 * base: mirror.atlanticmetro.net
 * extras: mirror.net.cen.ct.gov
 * updates: mirror.cogentco.com
No package openstack-keystone available.
Error: Nothing to do

same for python-keystoneclient

what's wrong?

Thanks

edit retag flag offensive close merge delete

2 answers

Sort by ยป oldest newest most voted
0

answered 2015-03-04 17:06:59 -0500

tydel gravatar image

You have to follow the pre-requisite steps http://docs.openstack.org/juno/install-guide/install/yum/content/ch_basic_environment.html#basics-prerequisites (here) to setup the environment (yum repositories) which contain the software you're trying to install.

On this page, it will tell you to install the release RPM:

yum install http://rdo.fedorapeople.org/openstack-juno/rdo-release-juno.rpm

After which, you should have no problem installing keystone (and it's list of pre-requisite packages)

edit flag offensive delete link more

Comments

indeed, missed a lot of pre-requisite steps

thanks

aakoka gravatar imageaakoka ( 2015-03-05 07:38:37 -0500 )edit
1

answered 2015-03-04 19:58:23 -0500

It looks like you've only got the base, extras, and updates package repositories enabled. Make sure you've run through the prerequisites on this page first:

http://docs.openstack.org/juno/install-guide/install/yum/content/ch_basic_environment.html#basics-packages

...specifically, the addition of the Openstack package repositories:

yum install yum-plugin-priorities
yum install http://dl.fedoraproject.org/pub/epel/7/x86_64/e/epel-release-7-5.noarch.rpm
yum install http://rdo.fedorapeople.org/openstack-juno/rdo-release-juno.rpm
edit flag offensive delete link more

Comments

It didn't work : yum install http://rdo.fedorapeople.org/openstack-juno/rdo-release-juno.rpm (http://rdo.fedorapeople.org/openstack...) Loaded plugins: fastestmirror, priorities, refresh-packagekit, security Setting up Install Process Cannot open: http://rdo.fedorapeople.org/openstack-juno/rdo-release-juno.rpm (http://rdo.fedorapeople.org/openstack...). Skipping. Error: Nothing to do

Simo gravatar imageSimo ( 2016-09-29 13:27:29 -0500 )edit

The juno packages are obsolete now; I'd suggest the Liberty versions now:

yum install https://repos.fedorapeople.org/repos/openstack/openstack-liberty/rdo-release-liberty-5.noarch.rpm
tedlit gravatar imagetedlit ( 2016-10-01 17:10:44 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Get to know Ask OpenStack

Resources for moderators

Question Tools

1 follower

Stats

Asked: 2015-03-04 13:42:44 -0500

Seen: 5,963 times

Last updated: Mar 04 '15